<html>
<head>
<title>OGRE: Ogre::RenderPriorityGroup Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a></div>
<h1>Ogre::RenderPriorityGroup Class Reference</h1><!-- doxytag: class="Ogre::RenderPriorityGroup" -->Collection of renderables by priority.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderPriorityGroup-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#6e2d84bf96a0e44d57c0e96cf0736b97">RenderPriorityGroup</a> (<a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#0a18c4c1f2c29571f606cbac7861c3a9">~RenderPriorityGroup</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#1d55ed0d465b381303fd4b0c2e7646a2">getSolidsBasic</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the collection of basic solids currently queued, this includes all solids when there are no shadows, or all solids which have shadow receiving enabled when using modulative shadows, or all ambient passes of solids which have shadow receive enabled for additive shadows.  <a href="#1d55ed0d465b381303fd4b0c2e7646a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#327e07de0d0136a5e489a44e3982b8a4">getSolidsDiffuseSpecular</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the collection of solids currently queued per light (only applicable in additive shadow modes).  <a href="#327e07de0d0136a5e489a44e3982b8a4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#745936859235b031c2399a5b3c45df4e">getSolidsDecal</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the collection of solids currently queued for decal passes (only applicable in additive shadow modes).  <a href="#745936859235b031c2399a5b3c45df4e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#f5e28105a6ca20ed978cf206f9406e4d">getSolidsNoShadowReceive</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the collection of solids for which shadow receipt is disabled (only applicable when shadows are enabled).  <a href="#f5e28105a6ca20ed978cf206f9406e4d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fd96c5fa208a0cabd16b8d6558425e62">getTransparents</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the collection of transparent objects currently queued.  <a href="#fd96c5fa208a0cabd16b8d6558425e62"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fac98cbfa333ffbbd6f92a2dede71d83">resetOrganisationModes</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reset the organisation modes required for the solids in this group.  <a href="#fac98cbfa333ffbbd6f92a2dede71d83"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#e1fbc62e9014f3e36bef8f7f638ccf19">addOrganisationMode</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> om)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a required sorting / grouping mode for the solids in this group.  <a href="#e1fbc62e9014f3e36bef8f7f638ccf19"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae892307209fe5af02f0de2a237e30eb">defaultOrganisationMode</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the sorting / grouping mode for the solids in this group to the default.  <a href="#ae892307209fe5af02f0de2a237e30eb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#b09fd661aa02509a1e4f83b18f5da74f">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a renderable to this group.  <a href="#b09fd661aa02509a1e4f83b18f5da74f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#2fa35b87445194af9b81e5d7ab33648a">sort</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sorts the objects which have been added to the queue; transparent objects by their depth in relation to the passed in <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>.  <a href="#2fa35b87445194af9b81e5d7ab33648a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d1bd2155e06bec2f6dd0bec4d5f8e358">clear</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears this group of renderables.  <a href="#d1bd2155e06bec2f6dd0bec4d5f8e358"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#17541d778d6d971eb7ecc0141ca7bbce">setSplitPassesByLightingType</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal.  <a href="#17541d778d6d971eb7ecc0141ca7bbce"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#82ce83d78ddac522340a9bb9dfd4aa76">setSplitNoShadowPasses</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not passes which have shadow receive disabled should be separated.  <a href="#82ce83d78ddac522340a9bb9dfd4aa76"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d00485a29818222dffa8b4b42748c57f">setShadowCastersCannotBeReceivers</a> (bool ind)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not objects which cast shadows should be treated as never receiving shadows.  <a href="#d00485a29818222dffa8b4b42748c57f"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#df137f62f5ca7f13420a95aea8151d8a">removePassEntry</a> (<a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">remove a pass entry from all collections  <a href="#df137f62f5ca7f13420a95aea8151d8a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#1a0d99d181b2a830aab166f9fd6ee337">addSolidRenderable</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, bool toNoShadowMap)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for adding a solid renderable.  <a href="#1a0d99d181b2a830aab166f9fd6ee337"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d494a6753c50cba568cc890860fed98e">addSolidRenderableSplitByLightType</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for adding a solid renderable.  <a href="#d494a6753c50cba568cc890860fed98e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a418acf3c5bca641a4c5e475cb27a753">addTransparentRenderable</a> (<a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for adding a transparent renderable.  <a href="#a418acf3c5bca641a4c5e475cb27a753"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fa964877920d284c972b4684c54fe273">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parent queue group.  <a href="#fa964877920d284c972b4684c54fe273"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#f98ab3bc78759bb0f6fe921d95681c55">mSplitPassesByLightingType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#6cb0571ecf3cb5199d95e4ff056499ff">mSplitNoShadowPasses</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a978e09317bbe8cf1062b4157510ea65">mShadowCastersNotReceivers</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#b8560ed065a3001ee34d6fbc46de5527">mSolidsBasic</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solid pass list, used when no shadows, modulative shadows, or ambient passes for additive.  <a href="#b8560ed065a3001ee34d6fbc46de5527"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#56ebcce57f1603250d9b6018b06e98d3">mSolidsDiffuseSpecular</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solid per-light pass list, used with additive shadows.  <a href="#56ebcce57f1603250d9b6018b06e98d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ed4224f5234e3706795dfc4fa16159ed">mSolidsDecal</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solid decal (texture) pass list, used with additive shadows.  <a href="#ed4224f5234e3706795dfc4fa16159ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#dc851b6c07b963d53f2aedd53dda0b45">mSolidsNoShadowReceive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solid pass list, used when shadows are enabled but shadow receive is turned off for these passes.  <a href="#dc851b6c07b963d53f2aedd53dda0b45"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html#cacd2f33af2aceae1bc5775c4457d7da">mTransparents</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transparent list.  <a href="#cacd2f33af2aceae1bc5775c4457d7da"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Collection of renderables by priority. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class simply groups renderables for rendering. All the renderables contained in this class are destined for the same <a class="el" href="classOgre_1_1RenderQueueGroup.html" title="A grouping level underneath RenderQueue which groups renderables to be issued at...">RenderQueueGroup</a> (coarse groupings like those between the main scene and overlays) and have the same priority (fine groupings for detailed overlap control). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This class can order solid renderables by a number of criteria; it can optimise them into groups based on pass to reduce render state changes, or can sort them by ascending or descending view depth. Transparent objects are always ordered by descending depth. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>To iterate over items in the collections held by this object you should retrieve the collection in use (e.g. solids, solids with no shadows, transparents) and use the accept() method, providing a class implementing <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html" title="Visitor interface for items in a QueuedRenderableCollection.">QueuedRenderableVisitor</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00315">315</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="6e2d84bf96a0e44d57c0e96cf0736b97"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::RenderPriorityGroup" ref="6e2d84bf96a0e44d57c0e96cf0736b97" args="(RenderQueueGroup *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderPriorityGroup::RenderPriorityGroup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>splitPassesByLightingType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>splitNoShadowPasses</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shadowCastersNotReceivers</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0a18c4c1f2c29571f606cbac7861c3a9"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::~RenderPriorityGroup" ref="0a18c4c1f2c29571f606cbac7861c3a9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderPriorityGroup::~RenderPriorityGroup           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00351">351</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="df137f62f5ca7f13420a95aea8151d8a"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::removePassEntry" ref="df137f62f5ca7f13420a95aea8151d8a" args="(Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::removePassEntry           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
remove a pass entry from all collections 
<p>

</div>
</div><p>
<a class="anchor" name="1a0d99d181b2a830aab166f9fd6ee337"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addSolidRenderable" ref="1a0d99d181b2a830aab166f9fd6ee337" args="(Technique *pTech, Renderable *rend, bool toNoShadowMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::addSolidRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>toNoShadowMap</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for adding a solid renderable. 
<p>

</div>
</div><p>
<a class="anchor" name="d494a6753c50cba568cc890860fed98e"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addSolidRenderableSplitByLightType" ref="d494a6753c50cba568cc890860fed98e" args="(Technique *pTech, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::addSolidRenderableSplitByLightType           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>rend</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for adding a solid renderable. 
<p>

</div>
</div><p>
<a class="anchor" name="a418acf3c5bca641a4c5e475cb27a753"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addTransparentRenderable" ref="a418acf3c5bca641a4c5e475cb27a753" args="(Technique *pTech, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::addTransparentRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>rend</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for adding a transparent renderable. 
<p>

</div>
</div><p>
<a class="anchor" name="1d55ed0d465b381303fd4b0c2e7646a2"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsBasic" ref="1d55ed0d465b381303fd4b0c2e7646a2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; Ogre::RenderPriorityGroup::getSolidsBasic           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the collection of basic solids currently queued, this includes all solids when there are no shadows, or all solids which have shadow receiving enabled when using modulative shadows, or all ambient passes of solids which have shadow receive enabled for additive shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00357">357</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="327e07de0d0136a5e489a44e3982b8a4"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsDiffuseSpecular" ref="327e07de0d0136a5e489a44e3982b8a4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; Ogre::RenderPriorityGroup::getSolidsDiffuseSpecular           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the collection of solids currently queued per light (only applicable in additive shadow modes). 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00361">361</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="745936859235b031c2399a5b3c45df4e"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsDecal" ref="745936859235b031c2399a5b3c45df4e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; Ogre::RenderPriorityGroup::getSolidsDecal           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the collection of solids currently queued for decal passes (only applicable in additive shadow modes). 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00365">365</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f5e28105a6ca20ed978cf206f9406e4d"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getSolidsNoShadowReceive" ref="f5e28105a6ca20ed978cf206f9406e4d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; Ogre::RenderPriorityGroup::getSolidsNoShadowReceive           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the collection of solids for which shadow receipt is disabled (only applicable when shadows are enabled). 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00369">369</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd96c5fa208a0cabd16b8d6558425e62"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::getTransparents" ref="fd96c5fa208a0cabd16b8d6558425e62" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>&amp; Ogre::RenderPriorityGroup::getTransparents           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the collection of transparent objects currently queued. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00372">372</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fac98cbfa333ffbbd6f92a2dede71d83"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::resetOrganisationModes" ref="fac98cbfa333ffbbd6f92a2dede71d83" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::resetOrganisationModes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Reset the organisation modes required for the solids in this group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="e1fbc62e9014f3e36bef8f7f638ccf19"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addOrganisationMode" ref="e1fbc62e9014f3e36bef8f7f638ccf19" args="(QueuedRenderableCollection::OrganisationMode om)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::addOrganisationMode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&nbsp;</td>
          <td class="paramname"> <em>om</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a required sorting / grouping mode for the solids in this group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="ae892307209fe5af02f0de2a237e30eb"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::defaultOrganisationMode" ref="ae892307209fe5af02f0de2a237e30eb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::defaultOrganisationMode           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the sorting / grouping mode for the solids in this group to the default. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

</div>
</div><p>
<a class="anchor" name="b09fd661aa02509a1e4f83b18f5da74f"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::addRenderable" ref="b09fd661aa02509a1e4f83b18f5da74f" args="(Renderable *pRend, Technique *pTech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::addRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a renderable to this group. 
<p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00492">Ogre::RenderQueueGroup::addRenderable()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2fa35b87445194af9b81e5d7ab33648a"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::sort" ref="2fa35b87445194af9b81e5d7ab33648a" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::sort           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sorts the objects which have been added to the queue; transparent objects by their depth in relation to the passed in <a class="el" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="d1bd2155e06bec2f6dd0bec4d5f8e358"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::clear" ref="d1bd2155e06bec2f6dd0bec4d5f8e358" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::clear           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears this group of renderables. 
<p>

</div>
</div><p>
<a class="anchor" name="17541d778d6d971eb7ecc0141ca7bbce"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setSplitPassesByLightingType" ref="17541d778d6d971eb7ecc0141ca7bbce" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::setSplitPassesByLightingType           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00414">414</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="82ce83d78ddac522340a9bb9dfd4aa76"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setSplitNoShadowPasses" ref="82ce83d78ddac522340a9bb9dfd4aa76" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::setSplitNoShadowPasses           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not passes which have shadow receive disabled should be separated. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00422">422</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d00485a29818222dffa8b4b42748c57f"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::setShadowCastersCannotBeReceivers" ref="d00485a29818222dffa8b4b42748c57f" args="(bool ind)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderPriorityGroup::setShadowCastersCannotBeReceivers           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>ind</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not objects which cast shadows should be treated as never receiving shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00430">430</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="fa964877920d284c972b4684c54fe273"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mParent" ref="fa964877920d284c972b4684c54fe273" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a>* <a class="el" href="classOgre_1_1RenderPriorityGroup.html#fa964877920d284c972b4684c54fe273">Ogre::RenderPriorityGroup::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parent queue group. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00320">320</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f98ab3bc78759bb0f6fe921d95681c55"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSplitPassesByLightingType" ref="f98ab3bc78759bb0f6fe921d95681c55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#f98ab3bc78759bb0f6fe921d95681c55">Ogre::RenderPriorityGroup::mSplitPassesByLightingType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00321">321</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6cb0571ecf3cb5199d95e4ff056499ff"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSplitNoShadowPasses" ref="6cb0571ecf3cb5199d95e4ff056499ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#6cb0571ecf3cb5199d95e4ff056499ff">Ogre::RenderPriorityGroup::mSplitNoShadowPasses</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00322">322</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a978e09317bbe8cf1062b4157510ea65"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mShadowCastersNotReceivers" ref="a978e09317bbe8cf1062b4157510ea65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderPriorityGroup.html#a978e09317bbe8cf1062b4157510ea65">Ogre::RenderPriorityGroup::mShadowCastersNotReceivers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00323">323</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b8560ed065a3001ee34d6fbc46de5527"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsBasic" ref="b8560ed065a3001ee34d6fbc46de5527" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#b8560ed065a3001ee34d6fbc46de5527">Ogre::RenderPriorityGroup::mSolidsBasic</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solid pass list, used when no shadows, modulative shadows, or ambient passes for additive. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00325">325</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="56ebcce57f1603250d9b6018b06e98d3"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsDiffuseSpecular" ref="56ebcce57f1603250d9b6018b06e98d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#56ebcce57f1603250d9b6018b06e98d3">Ogre::RenderPriorityGroup::mSolidsDiffuseSpecular</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solid per-light pass list, used with additive shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00327">327</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ed4224f5234e3706795dfc4fa16159ed"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsDecal" ref="ed4224f5234e3706795dfc4fa16159ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#ed4224f5234e3706795dfc4fa16159ed">Ogre::RenderPriorityGroup::mSolidsDecal</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solid decal (texture) pass list, used with additive shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00329">329</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc851b6c07b963d53f2aedd53dda0b45"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mSolidsNoShadowReceive" ref="dc851b6c07b963d53f2aedd53dda0b45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#dc851b6c07b963d53f2aedd53dda0b45">Ogre::RenderPriorityGroup::mSolidsNoShadowReceive</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solid pass list, used when shadows are enabled but shadow receive is turned off for these passes. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00331">331</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cacd2f33af2aceae1bc5775c4457d7da"></a><!-- doxytag: member="Ogre::RenderPriorityGroup::mTransparents" ref="cacd2f33af2aceae1bc5775c4457d7da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> <a class="el" href="classOgre_1_1RenderPriorityGroup.html#cacd2f33af2aceae1bc5775c4457d7da">Ogre::RenderPriorityGroup::mTransparents</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Transparent list. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00333">333</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:08 2008
</p>
</body>
</html>
